org.eclipse.handly.ui.callhierarchy

## Class CallHierarchyViewPart.HistoryEntry

- java.lang.Object
- - org.eclipse.handly.ui.callhierarchy.CallHierarchyViewPart.HistoryEntry

- Enclosing class:
    CallHierarchyViewPart

      protected abstract static class CallHierarchyViewPart.HistoryEntry
      extends java.lang.Object

  Represents an entry of the call hierarchy view history list.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HistoryEntry(java.lang.Object[] inputElements)` Constructs a history entry for the given input elements.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `protected abstract java.lang.String` | `getElementLabel(java.lang.Object element)` Returns a user-readable text label for the given element.
    `org.eclipse.jface.resource.ImageDescriptor` | `getImageDescriptor()` Returns an image descriptor for this history entry.
    `java.lang.Object[]` | `getInputElements()` Returns the input elements for this history entry.
    `java.lang.String` | `getLabel()` Returns a user-readable text label for this history entry.
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HistoryEntry

          protected HistoryEntry(java.lang.Object[] inputElements)

      Constructs a history entry for the given input elements. Clients must not modify the given array afterwards.
      Parameters:
        `inputElements` - never `null`; never empty

  - ### Method Detail

    - #### getInputElements

          public final java.lang.Object[] getInputElements()

      Returns the input elements for this history entry.
      Returns:
        the input elements (never `null`; never empty). Clients must not modify the returned array.

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### getLabel

          public java.lang.String getLabel()

      Returns a user-readable text label for this history entry.

      Default implementation composes a label based on labels for input elements. It invokes `getElementLabel(Object)` to obtain a label for an input element.

      Returns:
        the text label of the history entry (never `null`)

    - #### getElementLabel

          protected abstract java.lang.String getElementLabel(java.lang.Object element)

      Returns a user-readable text label for the given element.
      Parameters:
        `element` - the given element
      Returns:
        the text label of the element (never `null`)

    - #### getImageDescriptor

          public org.eclipse.jface.resource.ImageDescriptor getImageDescriptor()

      Returns an image descriptor for this history entry.

      Default implementation always returns `null`.

      Returns:
        the image descriptor of the history entry (may be `null`)

Copyright (c) 2014, 2020 1C-Soft LLC and others. Made available under the Eclipse Public License 2.0